<?php $options = get_option( 'italianrestaurant_theme_settings' );?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
    <?php if($options['fav_upload']):?>
    <link rel="icon" href="<?php echo(esc_url($options['fav_upload'])); ?>" type="image/x-icon">
    <?php endif; ?> 
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />	
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php do_action('load_ie_scripts');?>
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<div class="container" id="logo">
		<div class="row">
			<div class="col-md-8"> 
				<h1><a href="<?php echo esc_url(home_url()); ?>">
				<?php echo get_bloginfo('name'); ?>
				</a></h1>
				<h2><?php bloginfo('description'); ?></h2>
			</div>
			<div class="col-md-4"></div>
		</div>
	</div>
	<div id="ktTopNav">
		<div class="container">
			<div class="navbar navbar-default" role="navigation">
					<div class="container-fluid">
					  <div class="navbar-header">
						<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
						  <span class="sr-only">Toggle navigation</span>
						  <span class="icon-bar"></span>
						  <span class="icon-bar"></span>
						  <span class="icon-bar"></span>
						</button>
						
					  </div>
					  <div class="navbar-collapse collapse">
						<?php
									wp_nav_menu( array(
										'theme_location'    => 'primary',
										'depth'             => 2,
										'container'         => 'div',
										'container_class'   => 'collapse navbar-collapse navbar-ex1-collapse',
										'menu_class'        => 'nav navbar-nav',
										'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
										'walker'            => new wp_bootstrap_navwalker())
									);
								?>
					  </div><!--/.nav-collapse -->
					</div><!--/.container-fluid -->
				</div>
		</div>
	</div>
	<?php if (get_header_image() != '') {	?>
<div id="ktAd">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<img class="img-responsive"  src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" />
			</div>
		</div>
	</div>
</div>
	<?php } ?>